language: python
python:
  - "3.6"
# command to install dependencies
install:
  - pip install --upgrade setuptools>=41.0.0
  - pip install scipy==1.2.1
  - pip install lifelines patsy pytest>=3.6.0 pytest-cov>=2.6.1 codecov
  - pip install tensorflow==1.*
  - pip install keras==2.2.4
  - python setup.py install
# command to run tests
script:
  - pytest --cov=maui/
after_success:
  - codecov
